<script>

	let new_fil = [
  {
    post: {
      id_post: 10,
      texte: "j'ai trop hâte de voir le prochain Barbie Et bonne nouvelle pour les fans et les parents qui voudraient faire découvrir les films d'animation Barbie à leurs enfants, Netflix ajoute six films de la collection Barbie à son catalogue (même si on attend toujours Barbie et le lac des cygnes).",
      auteur: 1,
      photo: 'Bisquette.jpeg',
      date: '2023-06-29T14:24:43+02:00',
      type: 'Article',
      media: '',
      pseudo: 'Bisquette',
      up: 1,
      down: null
    },
    commentaire: [
  {
    id_commentaire_post: 14,
    contenu: 'azerty',
    id_user: 1,
    pseudo: 'Bisquette',
    photo: 'Bisquette.jpeg',
    date: '2023-07-10T16:10:02+02:00',
    media: '',
    up: null,
    down: null
  },
  {
    id_commentaire_post: 13,
    contenu: 'oui',
    id_user: 1,
    pseudo: 'Bisquette',
    photo: 'Bisquette.jpeg',
    date: '2023-07-06T16:34:00+02:00',
    media: '',
    up: 1,
    down: null
  },
  {
    id_commentaire_post: 12,
    contenu: "moi aussi !!!! y'a Margot Robbie en plus dedans hehe",
    id_user: 3,
    pseudo: 'Sakééééé',
    photo: null,
    date: '2023-06-30T09:41:08+02:00',
    media: '',
    up: null,
    down: 1
  }
]
  },
  {
    post: {
      id_post: 6,
      texte: "J'aime bien le film Death Note",
      auteur: 2,
      photo: null,
      date: '2023-06-23T13:13:18+02:00',
      type: 'Débat',
      media: '',
      pseudo: 'Saké',
      up: 1,
      down: null
    },
    commentaire: []
  },
  {
    post: {
      id_post: 2,
      texte: 'Pourquoi les gens aiment bien Tarantino ? Je ne comprends absolument rien à ces films',
      auteur: 4,
      photo: null,
      date: '2023-06-20T10:54:42+02:00',
      type: 'Article',
      media: '',
      pseudo: 'Biscotte',
      up: 1,
      down: null
    },
    commentaire: [
  {
    id_commentaire_post: 4,
    contenu: 'wesh ?',
    id_user: 1,
    pseudo: 'Bisquette',
    photo: 'Bisquette.jpeg',
    date: '2023-06-28T09:18:09+02:00',
    media: '',
    up: null,
    down: null
  },
  {
    id_commentaire_post: 2,
    contenu: "Pulp Fiction est le meilleur de ses films avec une intrigue déstructuré qui transforme l'histoire en puzzle à reconstruire pièce par pièce pour former un scénario grandiose !",
    id_user: 3,
    pseudo: 'Sakééééé',
    photo: null,
    date: '2023-06-27T17:36:12+02:00',
    media: '',
    up: null,
    down: 2
  }
]
  }
];

	function getSource(filename) {
		return `/profil_pictures/${filename}`;
	}
</script>


<body>
	<div class="content">
		<h1>Fil d'actualités</h1>

		{#each new_fil as post}
			<div class="header">
				<div class="header-bis">
				<div class="header-info">
					<div class="header-photo">
						<!-- <div class="photo"> -->
							{#if !!post.post.photo}
								<img class="profil_photo" src={getSource(post.post.photo)} alt="profile_picture" />
							{:else}
								<img class="profil_photo" src="/icon/defaut_photo_profil.png" alt="profile_picture" />
							{/if}
						<!-- </div> -->
						<div class="pseudo">
						{post.post.type}
						de {post.post.pseudo}
						</div>
						
						<div class="header-date">
							{post.post.date}
						</div>
					</div>	
				</div>

				<div class="header-text">
					<div class="text">
						{post.post.texte}
					</div>

					<img class="photo" src="/profil_pictures/Bisquette.jpeg" alt="profile_picture" />

					<div class="up-down">
						<div class="up-down-bis">
						{post.post.up || 0}
						<img class="like" src="/icon/thumbs-up.png" alt="thumbs-up" />
						</div>
						<div class="up-down-bis">
						{post.post.down || 0}
						<img class="like" src="/icon/thumbs-down.png" alt="thumbs-down" />
						</div>
					</div>
				</div>
				</div>
				
				

				

				<!-- <div class="header-text">
					{post.post.texte}
				</div> -->

				<form method="POST">
					
					{#each post.commentaire as comm}
						<div class=comment>
						<div class="comm">
							{#if !!comm.photo} 
							<img class="profil_photo2" src={getSource(comm.photo)} alt="profile_picture" />
							{:else}
								<img
									class="profil_photo2"
									src="/icon/defaut_photo_profil.png"
									alt="profile_picture"
								/>
							{/if}
							<div class="pseudo-com">
								{comm.pseudo}
							</div>
							<div class="date-com">
								{comm.date}
							</div>
						</div>
						<div class="contenu-com">
							{comm.contenu}
						</div>

						<div class="up-down-com">
							<div class="up-down-bis">
								{comm.up || 0}
								<img class="like" src="/icon/thumbs-up.png" alt="thumbs-up" />
								</div>
							<div class="up-down-bis">
								{comm.down || 0}
								<img class="like" src="/icon/thumbs-down.png" alt="thumbs-down" />
							</div>
							
						</div>
						</div>
					{/each}
				</form>
			</div>
			<div>&nbsp;</div>
		{/each}
	</div>

	<div class="post">
		<div class="person">
			<div class="align_left">
				<img class="person_photo" src="/icon/defaut_photo_profil.png" alt="photo_profil" />
				<div>pseudo</div>
			</div>

			<div class="align_right">
				<div>date</div>
			</div>
		</div>

		<div class="text-post">blablabla</div>
	</div>
</body>


<style>

	body {
		display: flex;
		flex-direction: column;
		align-items: center;
		margin: 10px;
		padding: 10px;
	}

	h1 {
		text-align: center;
	}

	.header {
		display: flex;
		flex-direction: column;
		/* background-color: #709775; #cf9925; */
		
		/* margin: 10px; */
	}

	.header-bis {
		background-color: #709775;
		border-radius: 10px;
	}

	.header-info {
		/* display: inline-block; */
		/* margin: 5px; */
		padding: 10px;
		/* background-color: #204040;#f5b81e */
		/* border-radius: 10px; */
		width: 100%;
		margin-right: 10px;
	}

	.header-photo {
		display: flex;
		align-items: center;
	}

	.pseudo {
		font-size: large;
		font-weight: bold;
	}

	.header-text {
		display: flex;
		flex-direction: row;
		margin-left: 100px;
		flex-grow: 1; 
		margin-bottom: 30px; 
		/* background-color: antiquewhite; */
		align-items: center;
	}

	.header-date {
		font-size: small;
		font-style: italic;
		margin-left: auto;
	}

	.photo {
		max-height: 100px;
		margin-left: 40px;
		margin-right: 50px;
	}
	
	.up-down {
		display: flex;
		flex-direction: row;
		margin-left: auto;	
		margin-right: 20px;
		/* align-items: center; */
	}

	.up-down-bis {
		display: flex;
		flex-direction: row;
		margin: 5px;
		align-items: center;
	}
	
	.text {
		border-radius: 10px;
		border: 1px solid #193b36;
		padding: 10px;
		background-color: #f5b81e;
		width: 550px;
		max-width: 550px;
	}


	.like {
		width: 15px;
		margin: 2px;
	}

	.comment {
		display: flex;
		flex-direction: row;
		/* margin: 10px; */
		margin-top: 10px;
		margin-left: 200px;
		background-color: #709775;
		border-radius: 10px;
		padding: 1px;
		align-items: center;
	}

	.comm {
		display: flex;
		flex-direction: row;
		width: 400px;
		align-items: center;
	}

	.date-com {
		margin-left: 40px;
		font-size: x-small;
		font-style: italic;
	}

	.up-down-com {
		display: flex;
		flex-direction: row;
		margin-left: auto;
		margin-right: 20px;
	}

	.contenu-com {
		max-width: 400px;
		border-radius: 10px;
		margin: 10px;
		border: 1px solid #193b36;
		padding: 3px;
		margin-right: 30px;
	}

	/* .profil_photo {
		max-width: 50px;
		max-height: 50px;
	} */

	.profil_photo2 {
		border-radius: 50%;
		width: 50px;
		height: 50px;
		object-fit: cover;
		margin-left: 10px;
		margin-right: 10px;
	}

	.post {
		display: flex;
		flex-direction: column;
		/* background-color: #193b36; */
		/* width: 900px; */
		border-radius: 10px;
		background-color: #f5b81e;
	}

	

	.person {
		align-self: center;

		

		display: flex;
		flex-direction: row;

		justify-content: space-between;

		width: 875px;

		
	}

	.person_photo {
		width: 70px;
		height: 70px;

		margin-right: 10px;
	}

	.align_left {
		display: flex;
		flex-direction: row;
		align-items: center;
	}

	.align_right {
		display: flex;
		flex-direction: row;
		align-items: center;
		margin-right: 10px;
	}

	.text-post {
		display: flex;
		text-align: left;
		color: black;
		margin: 10px;
	}


	/*.content {
		width: 100%;
		max-width: 0px;
		margin: var(--column-margin-top) auto 0 auto;
	}*/

	.profil_photo {
		border-radius: 50%;
		width: 85px;
		height: 85px;
		object-fit: cover;
		margin-left: 10px;
		margin-right: 10px;
	}
</style>
